: Class ParseSupervisor

Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Class ParseSupervisor

    java.lang.Object
      |
      +--java.lang.Thread
            |
            +--ParseSupervisor

class ParseSupervisor
extends java.lang.Thread

This subclass of Thread automatically calls the parser.

Field Summary
`private ObjectManager` | `object_manager` The spatial parser

Fields inherited from class java.lang.Thread
`contextClassLoader, daemon, eetop, group, inheritedAccessControlContext, MAX_PRIORITY, MIN_PRIORITY, name, NORM_PRIORITY, priority, single_step, stillborn, stopThreadPermission, target, threadInitNumber, threadQ, values`

Constructor Summary
`(package private)` | `ParseSupervisor(ObjectManager object_manager)` The constructor.

Method Summary
`void` | `run()` run

Methods inherited from class java.lang.Thread
`, activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, exit, getContextClassLoader, getName, getPriority, getThreadGroup, init, interrupt, interrupt0, interrupted, isAlive, isDaemon, isInterrupted, isInterrupted, join, join, join, nextThreadNum, registerNatives, resume, resume0, setContextClassLoader, setDaemon, setName, setPriority, setPriority0, sleep, sleep, start, stop, stop, stop0, suspend, suspend0, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### object_manager

    private ObjectManager object_manager

  The spatial parser

Constructor Detail

### ParseSupervisor

    ParseSupervisor(ObjectManager object_manager)

  The constructor.

Method Detail

### run

    public void run()

  run
  Overrides:
    run in class java.lang.Thread

Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD